#
# spec file for package python-discogs-client
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-discogs-client
Version:        2.2.1
Release:        lp150.1.3
License:        BSD-2-Clause
Summary:        Official Python API client for Discogs
Url:            https://github.com/discogs/discogs_client
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/discogs-client/discogs-client-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module oauthlib}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests
Requires:       python-six
Requires:       python-oauthlib
BuildArch:      noarch

%python_subpackages

%description
This is the official Discogs API client for Python. It enables you to query the
Discogs database for information on artists, releases, labels, users,
Marketplace listings, and more. It also supports OAuth 1.0a authorization,
which allows you to change user data such as profile information, collections
and wantlists, inventory, and orders.

%prep
%setup -q -n discogs-client-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/discogs_client/
%{python_sitelib}/discogs_client-%{version}-py*.egg-info

%changelog
* Thu Sep  7 2017 toddrme2178@gmail.com
- Implement single-spec version.
* Tue Oct 20 2015 hpj@urpla.net
- version 0.5: initial build
